Open Bug 1518179 Opened Last year Updated 5 days ago

Intermittent browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Test timed out -

Categories

(Core :: Security, defect, P5)

defect

Tracking

()

People

(Reporter: intermittent-bug-filer, Assigned: timhuang, NeedInfo)

References

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [stockwell disabled][retriggered][stockwell needswork])

Attachments

(1 file)

Filed by: nbeleuzu [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=220341267&repo=try

https://queue.taskcluster.net/v1/task/bHF97voaTPChrmcYBpiYRg/runs/0/artifacts/public/logs/live_backing.log

[task 2019-01-07T15:38:29.710Z] 15:38:29     INFO - TEST-START | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js
[task 2019-01-07T15:39:59.750Z] 15:39:59     INFO - TEST-INFO | started process screentopng
[task 2019-01-07T15:40:00.244Z] 15:40:00     INFO - TEST-INFO | screentopng: exit 0
[task 2019-01-07T15:40:00.244Z] 15:40:00     INFO - Buffered messages logged at 15:38:29
[task 2019-01-07T15:40:00.245Z] 15:40:00     INFO - Entering test bound setup
[task 2019-01-07T15:40:00.246Z] 15:40:00     INFO - Leaving test bound setup
[task 2019-01-07T15:40:00.248Z] 15:40:00     INFO - Entering test bound runTestsForEnglishContent
[task 2019-01-07T15:40:00.248Z] 15:40:00     INFO - Buffered messages logged at 15:38:30
[task 2019-01-07T15:40:00.248Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.key is correctly spoofed. - "ArrowDown" == "ArrowDown" - 
[task 2019-01-07T15:40:00.249Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.code is correctly spoofed. - "ArrowDown" == "ArrowDown" - 
[task 2019-01-07T15:40:00.254Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.location is correctly spoofed. - 0 == 0 - 
[task 2019-01-07T15:40:00.256Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.altKey is correctly spoofed. - false == false - 
[task 2019-01-07T15:40:00.257Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.shiftKey is correctly spoofed. - false == false - 
[task 2019-01-07T15:40:00.258Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.ctrlKey is correctly spoofed. - false == false - 
[task 2019-01-07T15:40:00.260Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.keyCode is correctly spoofed. - 40 == 40 - 
[task 2019-01-07T15:40:00.261Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.charCode should be 0 for this case. - 0 == 0 - 
[task 2019-01-07T15:40:00.264Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Alt'. - false == false - 
[task 2019-01-07T15:40:00.266Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'AltGraph'. - false == false - 
[task 2019-01-07T15:40:00.267Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Shift'. - false == false - 
[task 2019-01-07T15:40:00.268Z] 15:40:00     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Control'. - false == false - 
[task 2019-01-07T15:40:00.269Z] 15:40:00     INFO - Buffered messages finished
[task 2019-01-07T15:40:00.270Z] 15:40:00     INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Test timed out - 
[task 2019-01-07T15:40:00.271Z] 15:40:00     INFO - GECKO(2615) | MEMORY STAT | vsize 20974060MB | residentFast 1272MB
[task 2019-01-07T15:40:00.272Z] 15:40:00     INFO - TEST-OK | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | took 90081ms
[task 2019-01-07T15:40:00.273Z] 15:40:00     INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-01-07T15:40:00.274Z] 15:40:00     INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Found a tab after previous test timed out: http://example.net/browser/browser/components/resistfingerprinting/test/browser/file_keyBoardEvent.sjs?language=en-US - 
[task 2019-01-07T15:40:00.275Z] 15:40:00     INFO - checking window state
Duplicate of this bug: 1504095

There are 32 total failures in the last 7 days on linux64 debug & asan and linux32 debug.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=242168864&repo=autoland&lineNumber=17132

[task 2019-04-23T23:19:13.899Z] 23:19:13 INFO - TEST-START | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js
[task 2019-04-23T23:20:44.463Z] 23:20:44 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Test timed out -
[task 2019-04-23T23:20:44.465Z] 23:20:44 INFO - GECKO(3237) | MEMORY STAT | vsize 3505MB | residentFast 365MB | heapAllocated 86MB
[task 2019-04-23T23:20:44.467Z] 23:20:44 INFO - TEST-OK | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | took 90084ms
[task 2019-04-23T23:20:44.468Z] 23:20:44 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-04-23T23:20:44.470Z] 23:20:44 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Found a tab after previous test timed out: http://example.net/browser/browser/components/resistfingerprinting/test/browser/file_keyBoardEvent.sjs?language=en-US -
[task 2019-04-23T23:20:44.471Z] 23:20:44 INFO - GECKO(3237) | ++DOCSHELL 0x7f65e392f800 == 1 [pid = 3418] [id = {4d2f8943-f5c3-44fa-9a2c-d865282b9b1f}]
[task 2019-04-23T23:20:44.474Z] 23:20:44 INFO - GECKO(3237) | ++DOMWINDOW == 1 (0x7f65e3e35d40) [pid = 3418] [serial = 67] [outer = (nil)]
[task 2019-04-23T23:20:44.476Z] 23:20:44 INFO - GECKO(3237) | [Child 3366, Main Thread] WARNING: SendNotifyIMEFocus got rejected.: file /builds/worker/workspace/build/src/widget/PuppetWidget.cpp, line 791
[task 2019-04-23T23:20:44.477Z] 23:20:44 INFO - checking window state
[task 2019-04-23T23:20:44.478Z] 23:20:44 INFO - GECKO(3237) | ++DOMWINDOW == 2 (0x7f65e3e67800) [pid = 3418] [serial = 68] [outer = 0x7f65e3e35d40]

Wennie, could you please assign this to someone?

Flags: needinfo?(wleung)
Whiteboard: [stockwell needswork:owner]

In the last 7 days there have been 40 occurrences on Linux 64 debug and asan.

There are 29 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-05-07&endday=2019-05-14&tree=trunk&bug=1518179

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=246259428&repo=autoland&lineNumber=20117

[task 2019-05-14T01:45:41.328Z] 01:45:41 INFO - TEST-START | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js
[task 2019-05-14T01:47:11.874Z] 01:47:11 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Test timed out -
[task 2019-05-14T01:47:11.875Z] 01:47:11 INFO - GECKO(4292) | MEMORY STAT | vsize 3555MB | residentFast 374MB | heapAllocated 92MB
[task 2019-05-14T01:47:11.876Z] 01:47:11 INFO - TEST-OK | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | took 90087ms
[task 2019-05-14T01:47:11.877Z] 01:47:11 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-05-14T01:47:11.878Z] 01:47:11 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Found a tab after previous test timed out: http://example.net/browser/browser/components/resistfingerprinting/test/browser/file_keyBoardEvent.sjs?language=en-US -
[task 2019-05-14T01:47:11.879Z] 01:47:11 INFO - GECKO(4292) | [Child 4363, Main Thread] WARNING: No active window: file /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
[task 2019-05-14T01:47:11.881Z] 01:47:11 INFO - GECKO(4292) | ++DOCSHELL 0x7fb06c470000 == 1 [pid = 4470] [id = {11e9970d-dcb6-4217-88da-0260e52974e8}]
[task 2019-05-14T01:47:11.882Z] 01:47:11 INFO - GECKO(4292) | ++DOMWINDOW == 1 (0x7fb06c444020) [pid = 4470] [serial = 82] [outer = (nil)]
[task 2019-05-14T01:47:11.883Z] 01:47:11 INFO - GECKO(4292) | [Child 4417, Main Thread] WARNING: SendNotifyIMEFocus got rejected.: file /builds/worker/workspace/build/src/widget/PuppetWidget.cpp, line 794
[task 2019-05-14T01:47:11.885Z] 01:47:11 INFO - GECKO(4292) | [Child 4470, Main Thread] WARNING: No active window: file /builds/worker/workspace/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
[task 2019-05-14T01:47:11.886Z] 01:47:11 INFO - GECKO(4292) | ++DOMWINDOW == 2 (0x7fb06ca9e400) [pid = 4470] [serial = 83] [outer = 0x7fb06c444020]
[task 2019-05-14T01:47:11.886Z] 01:47:11 INFO - checking window state

This bug failed 36 times in the last 7 days. Occurs on linux64 and linux64-shippable on asan, opt and debug build types.

Recent log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=247858026&repo=mozilla-inbound&lineNumber=15521

There are 24 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-07-06&endday=2019-07-13&tree=trunk&bug=1518179

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=256281158&repo=mozilla-central&lineNumber=4242

[task 2019-07-12T22:49:20.103Z] 22:49:20 INFO - TEST-START | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js
[task 2019-07-12T22:50:50.157Z] 22:50:50 INFO - TEST-INFO | started process screentopng
[task 2019-07-12T22:50:50.717Z] 22:50:50 INFO - TEST-INFO | screentopng: exit 0
[task 2019-07-12T22:50:50.718Z] 22:50:50 INFO - Buffered messages logged at 22:49:20
[task 2019-07-12T22:50:50.719Z] 22:50:50 INFO - Entering test bound setup
[task 2019-07-12T22:50:50.719Z] 22:50:50 INFO - Console message: [JavaScript Error: "uncaught exception: Object" {file: "resource://testing-common/PromiseTestUtils.jsm" line: 112}]
[task 2019-07-12T22:50:50.720Z] 22:50:50 INFO - Leaving test bound setup
[task 2019-07-12T22:50:50.723Z] 22:50:50 INFO - Entering test bound runTestsForEnglishContent
[task 2019-07-12T22:50:50.723Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.key is correctly spoofed. - "ArrowDown" == "ArrowDown" -
[task 2019-07-12T22:50:50.726Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.code is correctly spoofed. - "ArrowDown" == "ArrowDown" -
[task 2019-07-12T22:50:50.728Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.location is correctly spoofed. - 0 == 0 -
[task 2019-07-12T22:50:50.729Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.altKey is correctly spoofed. - false == false -
[task 2019-07-12T22:50:50.731Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.shiftKey is correctly spoofed. - false == false -
[task 2019-07-12T22:50:50.733Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.ctrlKey is correctly spoofed. - false == false -
[task 2019-07-12T22:50:50.734Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.keyCode is correctly spoofed. - 40 == 40 -
[task 2019-07-12T22:50:50.739Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.charCode should be 0 for this case. - 0 == 0 -
[task 2019-07-12T22:50:50.746Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Alt'. - false == false -
[task 2019-07-12T22:50:50.754Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'AltGraph'. - false == false -
[task 2019-07-12T22:50:50.755Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Shift'. - false == false -
[task 2019-07-12T22:50:50.755Z] 22:50:50 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Control'. - false == false -
[task 2019-07-12T22:50:50.756Z] 22:50:50 INFO - Buffered messages finished
[task 2019-07-12T22:50:50.756Z] 22:50:50 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Test timed out -
[task 2019-07-12T22:50:50.757Z] 22:50:50 INFO - GECKO(3145) | MEMORY STAT | vsize 20975358MB | residentFast 1612MB
[task 2019-07-12T22:50:50.759Z] 22:50:50 INFO - TEST-OK | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | took 90083ms
[task 2019-07-12T22:50:50.760Z] 22:50:50 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-07-12T22:50:50.761Z] 22:50:50 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Found a tab after previous test timed out: http://example.net/browser/browser/components/resistfingerprinting/test/browser/file_keyBoardEvent.sjs?language=en-US -
[task 2019-07-12T22:50:50.763Z] 22:50:50 INFO - checking window state
[task 2019-07-12T22:50:50.764Z] 22:50:50 INFO - GECKO(3145) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 112: uncaught exception: Object
[task 2019-07-12T22:50:50.766Z] 22:50:50 INFO - TEST-START | browser/components/resistfingerprinting/test/browser/browser_timezone.js
[task 2019-07-12T22:50:51.208Z] 22:50:51 INFO - GECKO(3145) | MEMORY STAT | vsize 20975390MB | residentFast 1615MB
[task 2019-07-12T22:50:51.208Z] 22:50:51 INFO - TEST-OK | browser/components/resistfingerprinting/test/browser/browser_timezone.js | took 665ms
[task 2019-07-12T22:50:51.325Z] 22:50:51 INFO - checking window state
[task 2019-07-12T22:50:51.382Z] 22:50:51 INFO - GECKO(3145) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 112: uncaught exception: Object
[task 2019-07-12T22:50:51.459Z] 22:50:51 INFO - Console message: [JavaScript Error: "uncaught exception: Object" {file: "resource://testing-common/PromiseTestUtils.jsm" line: 112}]
[task 2019-07-12T22:50:53.240Z] 22:50:53 INFO - GECKO(3145) | Completed ShutdownLeaks collections in process 3314
[task 2019-07-12T22:50:53.362Z] 22:50:53 INFO - GECKO(3145) | Completed ShutdownLeaks collections in process 3290
[task 2019-07-12T22:50:53.382Z] 22:50:53 INFO - GECKO(3145) | Completed ShutdownLeaks collections in process 3264
[task 2019-07-12T22:50:53.491Z] 22:50:53 INFO - GECKO(3145) | Completed ShutdownLeaks collections in process 3191
[task 2019-07-12T22:50:53.511Z] 22:50:53 INFO - GECKO(3145) | Completed ShutdownLeaks collections in process 3212
[task 2019-07-12T22:50:54.284Z] 22:50:54 INFO - GECKO(3145) | Completed ShutdownLeaks collections in process 3145

Winnie, could you please assign this to someone?

Whiteboard: [stockwell unknown] → [stockwell unknown][stockwell needswork:owner]

Hi Joel, the triage owner hasn't replied here, do you know who we can ni?

There are 26 total failures in the last 7 days on
*asan: linux64
*debug: linux64
*opt: linux64-shippable

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=257675283&repo=autoland&lineNumber=5914

[task 2019-07-22T12:45:31.439Z] 12:45:31 INFO - TEST-START | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js
[task 2019-07-22T12:46:16.450Z] 12:46:16 INFO - TEST-INFO | started process screentopng
[task 2019-07-22T12:46:16.873Z] 12:46:16 INFO - TEST-INFO | screentopng: exit 0
[task 2019-07-22T12:46:16.874Z] 12:46:16 INFO - Buffered messages logged at 12:45:31
[task 2019-07-22T12:46:16.875Z] 12:46:16 INFO - Entering test bound setup
[task 2019-07-22T12:46:16.876Z] 12:46:16 INFO - Leaving test bound setup
[task 2019-07-22T12:46:16.877Z] 12:46:16 INFO - Entering test bound runTestsForEnglishContent
[task 2019-07-22T12:46:16.877Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.key is correctly spoofed. - "ArrowDown" == "ArrowDown" -
[task 2019-07-22T12:46:16.878Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.code is correctly spoofed. - "ArrowDown" == "ArrowDown" -
[task 2019-07-22T12:46:16.878Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.location is correctly spoofed. - 0 == 0 -
[task 2019-07-22T12:46:16.879Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.altKey is correctly spoofed. - false == false -
[task 2019-07-22T12:46:16.880Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.shiftKey is correctly spoofed. - false == false -
[task 2019-07-22T12:46:16.881Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.ctrlKey is correctly spoofed. - false == false -
[task 2019-07-22T12:46:16.881Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.keyCode is correctly spoofed. - 40 == 40 -
[task 2019-07-22T12:46:16.882Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.charCode should be 0 for this case. - 0 == 0 -
[task 2019-07-22T12:46:16.884Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Alt'. - false == false -
[task 2019-07-22T12:46:16.885Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'AltGraph'. - false == false -
[task 2019-07-22T12:46:16.886Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Shift'. - false == false -
[task 2019-07-22T12:46:16.887Z] 12:46:16 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Control'. - false == false -
[task 2019-07-22T12:46:16.888Z] 12:46:16 INFO - Buffered messages finished
[task 2019-07-22T12:46:16.891Z] 12:46:16 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Test timed out -
[task 2019-07-22T12:46:16.892Z] 12:46:16 INFO - GECKO(5793) | MEMORY STAT | vsize 3547MB | residentFast 395MB | heapAllocated 115MB
[task 2019-07-22T12:46:16.892Z] 12:46:16 INFO - TEST-OK | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | took 45034ms
[task 2019-07-22T12:46:16.892Z] 12:46:16 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-07-22T12:46:16.893Z] 12:46:16 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Found a tab after previous test timed out: http://example.net/browser/browser/components/resistfingerprinting/test/browser/file_keyBoardEvent.sjs?language=en-US -
[task 2019-07-22T12:46:16.894Z] 12:46:16 INFO - checking window state
[task 2019-07-22T12:46:16.895Z] 12:46:16 INFO - GECKO(5793) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 112: uncaught exception: Object

Flags: needinfo?(jmaher)

Maybe :ckerschb could help move this forward?

Flags: needinfo?(jmaher) → needinfo?(ckerschb)

(In reply to Joel Maher ( :jmaher ) (UTC-4) from comment #37)

Maybe :ckerschb could help move this forward?

It seems Tim wrote the test and hence is probably the best candidate to help us out.

Tim, can you take a look please?

Flags: needinfo?(ckerschb) → needinfo?(tihuang)

Sure, I will take a look. Thanks.

Assignee: nobody → tihuang
Flags: needinfo?(tihuang)

There are 23 total failures in the last 7 days on linux64 asan.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=259701914&repo=autoland&lineNumber=3993

[task 2019-08-02T22:22:11.801Z] 22:22:11 INFO - TEST-START | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js
[task 2019-08-02T22:23:41.859Z] 22:23:41 INFO - TEST-INFO | started process screentopng
[task 2019-08-02T22:23:42.426Z] 22:23:42 INFO - TEST-INFO | screentopng: exit 0
[task 2019-08-02T22:23:42.427Z] 22:23:42 INFO - Buffered messages logged at 22:22:11
[task 2019-08-02T22:23:42.428Z] 22:23:42 INFO - Entering test bound setup
[task 2019-08-02T22:23:42.428Z] 22:23:42 INFO - Console message: [JavaScript Error: "uncaught exception: Object" {file: "resource://testing-common/PromiseTestUtils.jsm" line: 112}]
[task 2019-08-02T22:23:42.428Z] 22:23:42 INFO - Leaving test bound setup
[task 2019-08-02T22:23:42.428Z] 22:23:42 INFO - Entering test bound runTestsForEnglishContent
[task 2019-08-02T22:23:42.429Z] 22:23:42 INFO - Buffered messages logged at 22:22:12
[task 2019-08-02T22:23:42.429Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.key is correctly spoofed. - "ArrowDown" == "ArrowDown" -
[task 2019-08-02T22:23:42.430Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.code is correctly spoofed. - "ArrowDown" == "ArrowDown" -
[task 2019-08-02T22:23:42.431Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.location is correctly spoofed. - 0 == 0 -
[task 2019-08-02T22:23:42.434Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.altKey is correctly spoofed. - false == false -
[task 2019-08-02T22:23:42.435Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.shiftKey is correctly spoofed. - false == false -
[task 2019-08-02T22:23:42.436Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.ctrlKey is correctly spoofed. - false == false -
[task 2019-08-02T22:23:42.436Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.keyCode is correctly spoofed. - 40 == 40 -
[task 2019-08-02T22:23:42.437Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.charCode should be 0 for this case. - 0 == 0 -
[task 2019-08-02T22:23:42.438Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Alt'. - false == false -
[task 2019-08-02T22:23:42.438Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'AltGraph'. - false == false -
[task 2019-08-02T22:23:42.439Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Shift'. - false == false -
[task 2019-08-02T22:23:42.443Z] 22:23:42 INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | KeyboardEvent.getModifierState() reports a correctly spoofed value for 'Control'. - false == false -
[task 2019-08-02T22:23:42.443Z] 22:23:42 INFO - Buffered messages finished
[task 2019-08-02T22:23:42.443Z] 22:23:42 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Test timed out -
[task 2019-08-02T22:23:42.447Z] 22:23:42 INFO - GECKO(2778) | MEMORY STAT | vsize 20975382MB | residentFast 1610MB
[task 2019-08-02T22:23:42.447Z] 22:23:42 INFO - TEST-OK | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | took 90079ms
[task 2019-08-02T22:23:42.447Z] 22:23:42 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-08-02T22:23:42.448Z] 22:23:42 INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_spoofing_keyboard_event.js | Found a tab after previous test timed out: http://example.net/browser/browser/components/resistfingerprinting/test/browser/file_keyBoardEvent.sjs?language=en-US -
[task 2019-08-02T22:23:42.451Z] 22:23:42 INFO - checking window state
[task 2019-08-02T22:23:42.452Z] 22:23:42 INFO - GECKO(2778) | JavaScript error: resource://testing-common/PromiseTestUtils.jsm, line 112: uncaught exception: Object

Tim are there any update shere?

Flags: needinfo?(tihuang)

It looks like one of the events 'keyDown' and 'keyUp' doesn't send in Linux platform for the first test case for 'ArrowDown' key. I will try to figure out what happens here.

Flags: needinfo?(tihuang)
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/fdd1a25b68e1
Disabled browser_spoofing_keyboard_event.js on Linux x64 debug. r=intermittent-reviewers,gbrown
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]

Tooru can you take a look at the above?

Flags: needinfo?(arai.unmht)
Whiteboard: [stockwell disabled][retriggered] → [stockwell disabled][retriggered][stockwell needswork]

In https://wiki.mozilla.org/Modules/All#Core the first user with an account I found in https://people.mozilla.org is Eric Rescorla.

Eric, can you please assign someone to take a look at this and also let me know if you are still a peer of Core::Security?

Flags: needinfo?(wleung) → needinfo?(ekr)

Wennie can you take a look?

Flags: needinfo?(ekr) → needinfo?(wleung)

Hi Joel, based on last 30 days history: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-12-07&endday=2020-01-06&tree=trunk&bug=1518179 should the disable condition be updated here or wait for owner's reply?

Flags: needinfo?(jmaher)

this doesn't quite hit the disable-recommended criteria, I assume now that the new year is here and most holidays are completed that we will see responses to many of the bugs including this one.

Flags: needinfo?(jmaher)
You need to log in before you can comment on or make changes to this bug.